<script setup lang="ts">
import BoxItem from "@/components/BoxItem.vue";
import { useStore } from "vuex";
const store = useStore();
const getNoDataInfo = (): string => {
	return store.state.selectedLine.line
			? 'Please select the bus stop first'
			: 'Please select the bus line first'
}
</script>

<template>
	<div
			class="box col bg-white app-rounded"
			:class="{ 'd-flex justify-content-center align-items-center dashed': !store.state.selectedStop.stop }"
	>
		<div v-if="store.state.selectedStop.stop">
			<div class="box__header">
				<p>Bus Stop: {{ store.state.selectedStop.stop }}</p>
				<span>Time</span>
			</div>
			<hr class="m-0" />
			<ul>
				<BoxItem
						v-for="(time, index) in store.state.selectedStop.times"
						:key="index + time"
						:title="time"
				/>
			</ul>
		</div>
		<span v-else>{{getNoDataInfo()}}</span>
	</div>
</template>

<style scoped lang="scss">
</style>
